Create transfer
curl --request POST \
--url https://api.trydocent.com/v1/transfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "1.25"
}
'import requests
url = "https://api.trydocent.com/v1/transfers"
payload = { "amount": "1.25" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: '1.25'})
};
fetch('https://api.trydocent.com/v1/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trydocent.com/v1/transfers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => '1.25'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.trydocent.com/v1/transfers"
payload := strings.NewReader("{\n \"amount\": \"1.25\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.trydocent.com/v1/transfers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": \"1.25\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trydocent.com/v1/transfers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": \"1.25\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"transferId": "<string>"
}{
"error": "<string>",
"code": "UNAUTHORIZED",
"retryAfter": 123
}Transfers
Create transfer
Move USDC between Docent venues.
POST
/
v1
/
transfers
Create transfer
curl --request POST \
--url https://api.trydocent.com/v1/transfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "1.25"
}
'import requests
url = "https://api.trydocent.com/v1/transfers"
payload = { "amount": "1.25" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: '1.25'})
};
fetch('https://api.trydocent.com/v1/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trydocent.com/v1/transfers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => '1.25'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.trydocent.com/v1/transfers"
payload := strings.NewReader("{\n \"amount\": \"1.25\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.trydocent.com/v1/transfers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": \"1.25\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trydocent.com/v1/transfers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": \"1.25\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"transferId": "<string>"
}{
"error": "<string>",
"code": "UNAUTHORIZED",
"retryAfter": 123
}Send
amount as a USDC decimal string with up to 6 decimals, such as "1.25".
Cross-chain or cross-bucket transfers must be at least $1.00. Internal Hyperliquid spot-to-perpetuals transfers are exempt.
Poll GET /v1/transfers?transferId=... to track status.Authorizations
API key in the format dk_live_.... Pass as Authorization: Bearer dk_live_...
Body
application/json
Source venue ID
Available options:
evm, polymarket_safe, hypercore_spot, hypercore_perps Destination venue ID
Available options:
evm, polymarket_safe, hypercore_spot, hypercore_perps Amount in USDC as a decimal string with up to 6 decimals
Pattern:
^(?:\d+(?:\.\d{0,6})?|\.\d{1,6})$Example:
"1.25"